Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractPanelMenuItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPanelMenuItem

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxProps

Direct Known Subclasses:
  AbstractPanelMenuGroup, UIPanelMenuItem

    public abstract class AbstractPanelMenuItem

extends AbstractActionComponent
implements AjaxProps

Since:
  2010-10-25
Author:
  akolonitsky

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`protected` | `AbstractPanelMenuItem()`

Method Summary
`String` | `getDisabledClass()`
`Object` | `getExecute()`
`String` | `getFamily()`
`abstract String` | `getLabel()`
`String` | `getLeftDisabledIcon()`
`String` | `getLeftIcon()`
`abstract String` | `getLeftIconClass()`
`abstract org.richfaces.PanelMenuMode` | `getMode()`
`String` | `getName()`
`abstract String` | `getOnbeforeselect()`
`abstract String` | `getOnclick()`
`abstract String` | `getOndblclick()`
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract String` | `getOnselect()`
`abstract String` | `getOnunselect()`
`AbstractPanelMenu` | `getPanelMenu()`
`javax.faces.component.UIComponent` | `getParentItem()`
`String` | `getRightDisabledIcon()`
`String` | `getRightIcon()`
`abstract String` | `getRightIconClass()`
`abstract String` | `getStyle()`
`String` | `getStyleClass()`
`Object` | `getValue()`
`boolean` | `isActiveItem()`
`abstract boolean` | `isDisabled()`
`abstract Boolean` | `isSelectable()`
`boolean` | `isTopItem()`
`abstract Boolean` | `isUnselectable()`
`void` | `setDisabledClass(String disabledClass)`
`void` | `setExecute(Object execute)`
`void` | `setLeftDisabledIcon(String leftDisabledIcon)`
`void` | `setLeftIcon(String leftIcon)`
`void` | `setName(String name)`
`void` | `setRightDisabledIcon(String rightDisabledIcon)`
`void` | `setRightIcon(String iconRight)`
`void` | `setStyleClass(String styleClass)`
`void` | `setValue(Object value)`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, queueEvent, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AjaxProps
`getData, getOnbeforedomupdate, getOnbegin, getOncomplete, getRender, getStatus, isLimitRender`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractPanelMenuItem

    protected AbstractPanelMenuItem()

Method Detail

### isActiveItem

    public boolean isActiveItem()

### isTopItem

    public boolean isTopItem()

### getPanelMenu

    public AbstractPanelMenu getPanelMenu()

### getParentItem

    public javax.faces.component.UIComponent getParentItem()

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### isSelectable

    public abstract Boolean isSelectable()

### isUnselectable

    public abstract Boolean isUnselectable()

### getMode

    public abstract org.richfaces.PanelMenuMode getMode()

### getName

    public String getName()

### setName

    public void setName(String name)

### getLabel

    public abstract String getLabel()

### isDisabled

    public abstract boolean isDisabled()

### getExecute

    public Object getExecute()

  Specified by:
    `getExecute` in interface `AjaxProps`

### setExecute

    public void setExecute(Object execute)

### getDisabledClass

    public String getDisabledClass()

### setDisabledClass

    public void setDisabledClass(String disabledClass)

### getLeftIcon

    public String getLeftIcon()

### setLeftIcon

    public void setLeftIcon(String leftIcon)

### getLeftIconClass

    public abstract String getLeftIconClass()

### getLeftDisabledIcon

    public String getLeftDisabledIcon()

### setLeftDisabledIcon

    public void setLeftDisabledIcon(String leftDisabledIcon)

### getRightIcon

    public String getRightIcon()

### setRightIcon

    public void setRightIcon(String iconRight)

### getRightIconClass

    public abstract String getRightIconClass()

### getRightDisabledIcon

    public String getRightDisabledIcon()

### setRightDisabledIcon

    public void setRightDisabledIcon(String rightDisabledIcon)

### getStyle

    public abstract String getStyle()

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getOnclick

    public abstract String getOnclick()

### getOndblclick

    public abstract String getOndblclick()

### getOnmousedown

    public abstract String getOnmousedown()

### getOnmousemove

    public abstract String getOnmousemove()

### getOnmouseout

    public abstract String getOnmouseout()

### getOnmouseover

    public abstract String getOnmouseover()

### getOnmouseup

    public abstract String getOnmouseup()

### getOnunselect

    public abstract String getOnunselect()

### getOnselect

    public abstract String getOnselect()

### getOnbeforeselect

    public abstract String getOnbeforeselect()

### getValue

    public Object getValue()

  Overrides:
    `getValue` in class `javax.faces.component.UICommand`

### setValue

    public void setValue(Object value)

  Overrides:
    `setValue` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.